QB_LOOP_TIMER_EXPIRE_TIME_GET(3)

NAME
qb_loop_timer_expire_time_get - Get the expiration time of the timer, as set when the timer was created.

SYNOPSIS
#include <qb/qbloop.h>

uint64_t qb_loop_timer_expire_time_get(
    struct qb_loop       *l,   /* pointer to the loop instance */
    qb_loop_timer_handle  th   /* timer handle. */
);

PARAMS
l pointer to the loop instance

th timer handle.

DESCRIPTION

RETURN VALUE

nano seconds at which the timer will expire

NOTE

if the timer has already expired it will return 0

SEE ALSO

qb_loop_job_del(3), qb_loop_run(3), qb_loop_create(3), qb_loop_stop(3), qb_loop_poll_low_fds_event_set(3), qb_loop_signal_del(3), qb_loop_signal_add(3), qb_loop_job_add(3), qb_loop_poll_del(3), qb_loop_destroy(3), qb_loop_timer_expire_time_remaining(3), qb_loop_poll_mod(3), qb_loop_signal_mod(3), qb_loop_timer_del(3), qb_loop_timer_add(3), qb_loop_timer_is_running(3), qb_loop_poll_add(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.